Module java.desktop
Package javax.swing.plaf.basic

# Class BasicColorChooserUI.PropertyHandler

java.lang.Object
javax.swing.plaf.basic.BasicColorChooserUI.PropertyHandler

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`

Enclosing class:
  BasicColorChooserUI

    public class BasicColorChooserUI.PropertyHandler
    extends Object
    implements PropertyChangeListener

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicColorChooserUI`.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PropertyHandler()` |

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.beans.PropertyChangeListener

`propertyChange`

## Constructor Details

### PropertyHandler

public PropertyHandler()